Loading...
Searching...
No Matches
osmium::RelationMember Class Reference

`#include <relation.hpp>`

Inheritance diagram for osmium::RelationMember:
[legend]
Collaboration diagram for osmium::RelationMember:
[legend]

## Public Member Functions

| RelationMember (const object_id_type ref=0, const item_type type=item_type(), const bool full=false) noexcept
| RelationMember (const RelationMember &)=delete
RelationMember & | operator= (const RelationMember &)=delete
| RelationMember (RelationMember &&)=delete
RelationMember & | operator= (RelationMember &&)=delete
| ~RelationMember () noexcept=default
object_id_type | ref () const noexcept
unsigned_object_id_type | positive_ref () const noexcept
RelationMember & | set_ref (const osmium::object_id_type ref) noexcept
item_type | type () const noexcept
bool | full_member () const noexcept
const char * | role () const noexcept
OSMObject & | get_object ()
const OSMObject & | get_object () const

## Static Public Attributes

static constexpr item_type | collection_type = item_type::relation_member_list

## Private Member Functions

unsigned char * | endpos ()
const unsigned char * | endpos () const
unsigned char * | next ()
const unsigned char * | next () const
void | set_role_size (string_size_type size) noexcept

## Private Attributes

object_id_type | m_ref
item_type | m_type
uint16_t | m_flags
string_size_type | m_role_size = 0

## Friends

class | osmium::builder::RelationMemberListBuilder
template<typename TMember>
class | osmium::memory::CollectionIterator

## Constructor & Destructor Documentation

## RelationMember() [1/3]

osmium::RelationMember::RelationMember | ( | const object_id_type | ref = 0,
|  | const item_type | type = item_type(),
|  | const bool | full = false )

inlineexplicitnoexcept

## RelationMember() [2/3]

osmium::RelationMember::RelationMember | ( | const RelationMember & |  | ) |

delete

## RelationMember() [3/3]

osmium::RelationMember::RelationMember | ( | RelationMember && |  | ) |

delete

## ~RelationMember()

osmium::RelationMember::~RelationMember | ( |  | ) |

defaultnoexcept

## Member Function Documentation

## endpos() [1/2]

unsigned char * osmium::RelationMember::endpos | ( |  | ) |

inlineprivate

## endpos() [2/2]

const unsigned char * osmium::RelationMember::endpos | ( |  | ) | const

inlineprivate

## full_member()

bool osmium::RelationMember::full_member | ( |  | ) | const

inlinenoexcept

## get_object() [1/2]

OSMObject & osmium::RelationMember::get_object | ( |  | ) |

inline

## get_object() [2/2]

const OSMObject & osmium::RelationMember::get_object | ( |  | ) | const

inline

## next() [1/2]

unsigned char * osmium::RelationMember::next | ( |  | ) |

inlineprivate

## next() [2/2]

const unsigned char * osmium::RelationMember::next | ( |  | ) | const

inlineprivate

## operator=() [1/2]

RelationMember & osmium::RelationMember::operator= | ( | const RelationMember & |  | ) |

delete

## operator=() [2/2]

RelationMember & osmium::RelationMember::operator= | ( | RelationMember && |  | ) |

delete

## positive_ref()

unsigned_object_id_type osmium::RelationMember::positive_ref | ( |  | ) | const

inlinenoexcept

## ref()

object_id_type osmium::RelationMember::ref | ( |  | ) | const

inlinenoexcept

## role()

const char * osmium::RelationMember::role | ( |  | ) | const

inlinenoexcept

## set_ref()

RelationMember & osmium::RelationMember::set_ref | ( | const osmium::object_id_type | ref | ) |

inlinenoexcept

## set_role_size()

void osmium::RelationMember::set_role_size | ( | string_size_type | size | ) |

inlineprivatenoexcept

## type()

item_type osmium::RelationMember::type | ( |  | ) | const

inlinenoexcept

## Friends And Related Symbol Documentation

## osmium::builder::RelationMemberListBuilder

friend class osmium::builder::RelationMemberListBuilder

friend

## osmium::memory::CollectionIterator

template<typename TMember>

friend class osmium::memory::CollectionIterator

friend

## Member Data Documentation

## collection_type

item_type osmium::RelationMember::collection_type = item_type::relation_member_list

staticconstexpr

## m_flags

uint16_t osmium::RelationMember::m_flags

private

## m_ref

object_id_type osmium::RelationMember::m_ref

private

## m_role_size

string_size_type osmium::RelationMember::m_role_size = 0

private

## m_type

item_type osmium::RelationMember::m_type

private

The documentation for this class was generated from the following file:

- include/osmium/osm/relation.hpp